libabw::ABWOutputElements Class Reference documentation

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWOutputElements Class Reference

`#include <ABWOutputElements.h>`

## Public Types
typedef std::list< std::unique_ptr< ABWOutputElement > > | OutputElements_t
typedef std::map< int, OutputElements_t > | OutputElementsMap_t

## Public Member Functions
| ABWOutputElements ()
virtual | ~ABWOutputElements ()
void | splice (ABWOutputElements &elements)
void | write (librevenge::RVNGTextInterface *iface) const
void | addCloseEndnote ()
void | addCloseFooter ()
void | addCloseFootnote ()
void | addCloseFrame ()
void | addCloseHeader ()
void | addCloseLink ()
void | addCloseListElement ()
void | addCloseOrderedListLevel ()
void | addClosePageSpan ()
void | addCloseParagraph ()
void | addCloseSection ()
void | addCloseSpan ()
void | addCloseTable ()
void | addCloseTableCell ()
void | addCloseTableRow ()
void | addCloseTextBox ()
void | addCloseUnorderedListLevel ()
void | addInsertBinaryObject (const librevenge::RVNGPropertyList &propList)
void | addInsertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | addInsertField (const librevenge::RVNGPropertyList &propList)
void | addInsertLineBreak ()
void | addInsertSpace ()
void | addInsertTab ()
void | addInsertText (const librevenge::RVNGString &text)
void | addOpenEndnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFooter (const librevenge::RVNGPropertyList &propList, int id)
void | addOpenFootnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFrame (const librevenge::RVNGPropertyList &propList)
void | addOpenHeader (const librevenge::RVNGPropertyList &propList, int id)
void | addOpenLink (const librevenge::RVNGPropertyList &propList)
void | addOpenListElement (const librevenge::RVNGPropertyList &propList)
void | addOpenOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addOpenPageSpan (const librevenge::RVNGPropertyList &propList, int footer, int footerLeft, int footerFirst, int footerLast, int header, int headerLeft, int headerFirst, int headerLast)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSection (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addOpenTable (const librevenge::RVNGPropertyList &propList)
void | addOpenTableCell (const librevenge::RVNGPropertyList &propList)
void | addOpenTableRow (const librevenge::RVNGPropertyList &propList)
void | addOpenTextBox (const librevenge::RVNGPropertyList &propList)
void | addOpenUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addStartDocument (const librevenge::RVNGPropertyList &propList)
bool | empty () const

## Private Member Functions
| ABWOutputElements (const ABWOutputElements &)
ABWOutputElements & | operator= (const ABWOutputElements &)

## Private Attributes
OutputElements_t | m_bodyElements
std::map< int, OutputElements_t > | m_headerElements
std::map< int, OutputElements_t > | m_footerElements
OutputElements_t * | m_elements

## Member Typedef Documentation

## ◆ OutputElements_t

typedef std::list<std::unique_ptr<ABWOutputElement> > libabw::ABWOutputElements::OutputElements_t

## ◆ OutputElementsMap_t

typedef std::map<int, OutputElements_t> libabw::ABWOutputElements::OutputElementsMap_t

## Constructor & Destructor Documentation

## ◆ ABWOutputElements() [1/2]

libabw::ABWOutputElements::ABWOutputElements | ( |  | ) |

Referenced by empty().

## ◆ ~ABWOutputElements()

libabw::ABWOutputElements::~ABWOutputElements | ( |  | ) |
| virtual

## ◆ ABWOutputElements() [2/2]

libabw::ABWOutputElements::ABWOutputElements | ( | const ABWOutputElements & |  | ) |
| private

## Member Function Documentation

## ◆ addCloseEndnote()

void libabw::ABWOutputElements::addCloseEndnote | ( |  | ) |

Referenced by libabw::ABWContentCollector::closeEndnote().

## ◆ addCloseFooter()

void libabw::ABWOutputElements::addCloseFooter | ( |  | ) |

Referenced by libabw::ABWContentCollector::_closeFooter().

## ◆ addCloseFootnote()

void libabw::ABWOutputElements::addCloseFootnote | ( |  | ) |

Referenced by libabw::ABWContentCollector::closeFoot().

## ◆ addCloseFrame()

void libabw::ABWOutputElements::addCloseFrame | ( |  | ) |

Referenced by libabw::ABWContentCollector::closeFrame(), and libabw::ABWContentCollector::insertImage().

## ◆ addCloseHeader()

void libabw::ABWOutputElements::addCloseHeader | ( |  | ) |

Referenced by libabw::ABWContentCollector::_closeHeader().

## ◆ addCloseLink()

void libabw::ABWOutputElements::addCloseLink | ( |  | ) |

Referenced by libabw::ABWContentCollector::closeLink().

## ◆ addCloseListElement()

void libabw::ABWOutputElements::addCloseListElement | ( |  | ) |

Referenced by libabw::ABWContentCollector::_closeListElement().

## ◆ addCloseOrderedListLevel()

void libabw::ABWOutputElements::addCloseOrderedListLevel | ( |  | ) |

Referenced by libabw::ABWContentCollector::_handleListChange().

## ◆ addClosePageSpan()

void libabw::ABWOutputElements::addClosePageSpan | ( |  | ) |

Referenced by libabw::ABWContentCollector::_closePageSpan().

## ◆ addCloseParagraph()

void libabw::ABWOutputElements::addCloseParagraph | ( |  | ) |

Referenced by libabw::ABWContentCollector::_closeParagraph().

## ◆ addCloseSection()

void libabw::ABWOutputElements::addCloseSection | ( |  | ) |

Referenced by libabw::ABWContentCollector::_closeSection().

## ◆ addCloseSpan()

void libabw::ABWOutputElements::addCloseSpan | ( |  | ) |

Referenced by libabw::ABWContentCollector::_closeSpan().

## ◆ addCloseTable()

void libabw::ABWOutputElements::addCloseTable | ( |  | ) |

Referenced by libabw::ABWContentCollector::_closeTable().

## ◆ addCloseTableCell()

void libabw::ABWOutputElements::addCloseTableCell | ( |  | ) |

Referenced by libabw::ABWContentCollector::_closeTableCell().

## ◆ addCloseTableRow()

void libabw::ABWOutputElements::addCloseTableRow | ( |  | ) |

Referenced by libabw::ABWContentCollector::_closeTableRow().

## ◆ addCloseTextBox()

void libabw::ABWOutputElements::addCloseTextBox | ( |  | ) |

Referenced by libabw::ABWContentCollector::closeFrame().

## ◆ addCloseUnorderedListLevel()

void libabw::ABWOutputElements::addCloseUnorderedListLevel | ( |  | ) |

Referenced by libabw::ABWContentCollector::_handleListChange().

## ◆ addInsertBinaryObject()

void libabw::ABWOutputElements::addInsertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::insertImage(), and libabw::ABWContentCollector::openFrame().

## ◆ addInsertCoveredTableCell()

void libabw::ABWOutputElements::addInsertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::_closeTableRow().

## ◆ addInsertField()

void libabw::ABWOutputElements::addInsertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::openField().

## ◆ addInsertLineBreak()

void libabw::ABWOutputElements::addInsertLineBreak | ( |  | ) |

Referenced by libabw::ABWContentCollector::insertLineBreak().

## ◆ addInsertSpace()

void libabw::ABWOutputElements::addInsertSpace | ( |  | ) |

## ◆ addInsertTab()

void libabw::ABWOutputElements::addInsertTab | ( |  | ) |

## ◆ addInsertText()

void libabw::ABWOutputElements::addInsertText | ( | const librevenge::RVNGString & | text | ) |

## ◆ addOpenEndnote()

void libabw::ABWOutputElements::addOpenEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::openEndnote().

## ◆ addOpenFooter()

void libabw::ABWOutputElements::addOpenFooter | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | id
| ) |  |

Referenced by libabw::ABWContentCollector::_openFooter().

## ◆ addOpenFootnote()

void libabw::ABWOutputElements::addOpenFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::openFoot().

## ◆ addOpenFrame()

void libabw::ABWOutputElements::addOpenFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::insertImage(), and libabw::ABWContentCollector::openFrame().

## ◆ addOpenHeader()

void libabw::ABWOutputElements::addOpenHeader | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | id
| ) |  |

Referenced by libabw::ABWContentCollector::_openHeader().

## ◆ addOpenLink()

void libabw::ABWOutputElements::addOpenLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::openLink().

## ◆ addOpenListElement()

void libabw::ABWOutputElements::addOpenListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::_openListElement().

## ◆ addOpenOrderedListLevel()

void libabw::ABWOutputElements::addOpenOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::_recurseListLevels().

## ◆ addOpenPageSpan()

void libabw::ABWOutputElements::addOpenPageSpan | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | footer,
|  | int | footerLeft,
|  | int | footerFirst,
|  | int | footerLast,
|  | int | header,
|  | int | headerLeft,
|  | int | headerFirst,
|  | int | headerLast
| ) |  |

Referenced by libabw::ABWContentCollector::_openPageSpan().

## ◆ addOpenParagraph()

void libabw::ABWOutputElements::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::_openParagraph().

## ◆ addOpenSection()

void libabw::ABWOutputElements::addOpenSection | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::_openSection().

## ◆ addOpenSpan()

void libabw::ABWOutputElements::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::_openSpan().

## ◆ addOpenTable()

void libabw::ABWOutputElements::addOpenTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::_openTable().

## ◆ addOpenTableCell()

void libabw::ABWOutputElements::addOpenTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::_openTableCell().

## ◆ addOpenTableRow()

void libabw::ABWOutputElements::addOpenTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::_openTableRow().

## ◆ addOpenTextBox()

void libabw::ABWOutputElements::addOpenTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::openFrame().

## ◆ addOpenUnorderedListLevel()

void libabw::ABWOutputElements::addOpenUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libabw::ABWContentCollector::_recurseListLevels(), and libabw::ABWContentCollector::_writeOutDummyListLevels().

## ◆ addStartDocument()

void libabw::ABWOutputElements::addStartDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ empty()

bool libabw::ABWOutputElements::empty | ( |  | ) | const
| inline

## ◆ operator=()

ABWOutputElements& libabw::ABWOutputElements::operator= | ( | const ABWOutputElements & |  | ) |
| private

Referenced by empty().

## ◆ splice()

void libabw::ABWOutputElements::splice | ( | ABWOutputElements & | elements | ) |

Referenced by libabw::ABWContentCollector::addFrameElements().

## ◆ write()

void libabw::ABWOutputElements::write | ( | librevenge::RVNGTextInterface * | iface | ) | const

Referenced by libabw::ABWContentCollector::endDocument().

## Member Data Documentation

## ◆ m_bodyElements

OutputElements_t libabw::ABWOutputElements::m_bodyElements
| private

Referenced by ABWOutputElements(), addCloseFooter(), addCloseHeader(), empty(), splice(), and write().

## ◆ m_elements

OutputElements_t* libabw::ABWOutputElements::m_elements
| private

Referenced by ABWOutputElements(), addCloseEndnote(), addCloseFooter(), addCloseFootnote(), addCloseFrame(), addCloseHeader(), addCloseLink(), addCloseListElement(), addCloseOrderedListLevel(), addClosePageSpan(), addCloseParagraph(), addCloseSection(), addCloseSpan(), addCloseTable(), addCloseTableCell(), addCloseTableRow(), addCloseTextBox(), addCloseUnorderedListLevel(), addInsertBinaryObject(), addInsertCoveredTableCell(), addInsertField(), addInsertLineBreak(), addInsertSpace(), addInsertTab(), addInsertText(), addOpenEndnote(), addOpenFooter(), addOpenFootnote(), addOpenFrame(), addOpenHeader(), addOpenLink(), addOpenListElement(), addOpenOrderedListLevel(), addOpenPageSpan(), addOpenParagraph(), addOpenSection(), addOpenSpan(), addOpenTable(), addOpenTableCell(), addOpenTableRow(), addOpenTextBox(), and addOpenUnorderedListLevel().

## ◆ m_footerElements

std::map<int, OutputElements_t > libabw::ABWOutputElements::m_footerElements
| private

Referenced by addOpenFooter(), and write().

## ◆ m_headerElements

std::map<int, OutputElements_t > libabw::ABWOutputElements::m_headerElements
| private

Referenced by addOpenHeader(), and write().

The documentation for this class was generated from the following files:

- ABWOutputElements.h
- ABWOutputElements.cpp